Summary:	Curated set of Ansible collections included in addition to ansible-core
Name:		ansible
Version:	9.6.0
Release:	1%{?tld}
License:	GPL v3+
Group:		Development/Libraries
Source0:	https://files.pythonhosted.org/packages/source/a/ansible/%{name}-%{version}.tar.gz
# Source0-md5:	c07a2f01b0034d46d936400050806fdb
Patch0:		setup.patch
URL:		https://ansible.com
BuildRequires:	python3-PyYAML
BuildRequires:	python3-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
Requires:	%{name}-core >= 2.6.11
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ansible is a radically simple model-driven configuration management,
multi-node deployment, and remote task execution system. Ansible works
over SSH and does not require any software or daemons to be installed
on remote nodes. Extension modules can be written in any language and
are transferred to managed machines automatically.

%prep
%setup -q
%patch0 -p1

grep -rlZ -0 '#!/usr/bin/env bash' ansible_collections | xargs -0 sed -i -e 's,#!/usr/bin/env bash,#!/bin/bash,g'

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT
%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ansible-community
%{py3_sitescriptdir}/ansible_collections
%{py3_sitescriptdir}/ansible-%{version}-*.egg-info
%changelog
* Sat May 25 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/ansible.git;a=log;h=master

* Sat May 25 2024 Marcin Krol <hawk@tld-linux.org> dad2ba1
- updated to 9.6.0

* Mon Apr 01 2024 Marcin Krol <hawk@tld-linux.org> ea07c56
- updated to 9.4.0

* Mon Jan 08 2024 Marcin Krol <hawk@tld-linux.org> 76294fc
- better source0

* Sun Jan 07 2024 Marcin Krol <hawk@tld-linux.org> 4f5e714
- more flexible version requirement for ansible-core

* Sun Jan 07 2024 Marcin Krol <hawk@tld-linux.org> fabebda
- ansible-core moved to separate spec, ansible.spec is now for
  ansible_collections

* Sun Jan 07 2024 Marcin Krol <hawk@tld-linux.org> f154ee5
- use pip source, install poldek.py, no shebang in poldek.py

* Sun Jan 07 2024 Marcin Krol <hawk@tld-linux.org> ed896d3
- ansible-core 2.16.2

* Wed Nov 24 2021 Marcin Krol <hawk@tld-linux.org> 5f3a4eb
- updated to 2.9.27

* Sun Aug 16 2020 Marcin Krol <hawk@tld-linux.org> e2d089f
- updated to 2.9.12

* Wed Apr 08 2020 Marcin Krol <hawk@tld-linux.org> d76feb1
- updated to 2.9.6

* Sat Dec 14 2019 Marcin Krol <hawk@tld-linux.org> a80be5e
- updated to 2.9.2

* Mon Sep 02 2019 Marcin Krol <hawk@tld-linux.org> 115fad8
- updated to 2.8.4

* Fri Jun 21 2019 Marcin Krol <hawk@tld-linux.org> a9526f3
- include version when listing available updates

* Fri Jun 21 2019 Marcin Krol <hawk@tld-linux.org> b04a8b9
- updated to 2.8.1

* Fri Jun 21 2019 Marcin Krol <hawk@tld-linux.org> 870abe4
- added support for poldek package manager

* Wed Jun 19 2019 Marcin Krol <hawk@tld-linux.org> 6f93ef0
- fix python modules BR

* Wed Jun 19 2019 Marcin Krol <hawk@tld-linux.org> f1b8145
- works fine, release 1, poldek support will be added later

* Wed Jun 19 2019 Marcin Krol <hawk@tld-linux.org> 6fe6de1
- ansible

